Upload Server-Side Binary File
curl --request POST \
--url https://app.papelship.com/api/qpapel/v1/serverside-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'label=Main Loader DLL' \
--form file='@example-file'const form = new FormData();
form.append('label', 'Main Loader DLL');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.papelship.com/api/qpapel/v1/serverside-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/serverside-files"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "label": "Main Loader DLL" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/serverside-files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"label\"\r\n\r\nMain Loader DLL\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/serverside-files"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"label\"\r\n\r\nMain Loader DLL\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": 8,
"user_id": 1,
"access_id": "583920194829",
"label": "Main Loader DLL",
"original_name": "core.dll",
"stored_name": "583920194829_core.dll",
"storage_path": "uploads/serverside-files/1/583920194829_core.dll",
"mime_type": "application/octet-stream",
"file_size": 1048576,
"file_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"status": "active",
"download_count": 142,
"last_downloaded": "2026-06-12T06:05:00.000Z",
"product_cheat_value": "cs2_cheat",
"force_key_check": true,
"force_encrypted_download": true,
"install_path": "C:\\ProgramData\\qPapel\\temp.dll"
}
}{
"success": false,
"error": "Missing required field or invalid value"
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Client Security & Anti-Cheat
Upload Server-Side Binary File
Upload and encrypt a binary DLL or payload file (supports up to 50MB).
POST
/
serverside-files
Upload Server-Side Binary File
Authorizations
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Body
multipart/form-data
Descriptive title.
Example:
"Main Loader DLL"
DLL or binary file payload.
Associated product cheat_value.
Example:
"cs2_cheat"
Destination path on the target machine.
Example:
"C:\\ProgramData\\qPapel\\core.dll"